package com.qmth.themis.business.bean.exam;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("检查版本机构等环境信息返回信息")
public class EnvBean {

	@ApiModelProperty("version")
	private VersionBean version;

	@ApiModelProperty("orgInfo")
	private OrgInfoBean orgInfo;

	@ApiModelProperty("currentTime")
	private Long currentTime;

	@ApiModelProperty("黑名单资源文件下载地址")
	private String denyList;

    @ApiModelProperty("考试配置地址")
    private String examConfig;

	public VersionBean getVersion() {
		return version;
	}

	public void setVersion(VersionBean version) {
		this.version = version;
	}

	public OrgInfoBean getOrgInfo() {
		return orgInfo;
	}

	public void setOrgInfo(OrgInfoBean orgInfo) {
		this.orgInfo = orgInfo;
	}

	public Long getCurrentTime() {
		return currentTime;
	}

	public void setCurrentTime(Long currentTime) {
		this.currentTime = currentTime;
	}

	public String getDenyList() {
		return denyList;
	}

	public void setDenyList(String denyList) {
		this.denyList = denyList;
	}

    public String getExamConfig() {
        return examConfig;
    }

    public void setExamConfig(String examConfig) {
        this.examConfig = examConfig;
    }
}
